* BOUAKEZ_REG.DO
* by Valerie Ramey for "Macroeconomic Consequences of Infrastructure Investment"
* Bouakez et al. regressions

* This program runs new regressions using the data from Bouakez, Guillard, Roulleau-Pasdeloup RED 2017
* The results are discussed in section 3.3 of my paper

clear all

capture log close

set more 1

set scheme s1color

import excel Bouakez_data.xlsx, first sheet("Annual") case(lower)

gen ydate = y(1960) + _n-1

tsset ydate, y

drop if ydate>2014

gen t = _n

foreach var in kg rds eds {
  gen d`var' = D.`var'
}

reg tfp kg rds eds t F.dkg F2.dkg F.drds F2.drds F.deds F2.deds, vce(robust)

reg tfp kg t F.dkg F2.dkg, vce(robust)

reg tfp kg rds eds t dkg F.dkg F2.dkg drds F.drds F2.drds deds F.deds F2.deds, vce(robust)




