* Graphing government capital to GDP from bEA
clear all

capture log close

set more 1

set scheme s1color

  
import excel Investment_Capital_Stock_annual.xlsx, first sheet("main")

gen xdefgovk = govk - defk

tsset year, y

foreach var in defk educk hwyk alltransk {
  gen `var'frgov = `var'/govk
}

foreach var in govk xdefgovk educk hwyk {
  gen `var'priv = `var'/privk
}

foreach var in govk xdefgovk hwyk oth alltransk {
  gen `var'y = 100*`var'/ngdp
}

gen educhwykpriv = educkpriv + hwykpriv

gen xeducxhwykpriv = xdefgovkpriv - educkpriv - hwykpriv

label var govky "total"
label var xdefgovky "nondefense"
label var hwyky "highways and streets"
label var alltransky "transportation"

drop if year<1929

 tw scatter govky xdefgovky alltransky year, c(l l l l) clp(- l l) ms(i o i ) ///
   clc(blue green red) mc(blue green red)   ///
    xtitle("year") ytitle("percent") name(graph) ysize(4) xsize(5) scale(1.2)




/*
 tw scatter ndgovkpriv year , c(l l l) clp(l - _) ms(i i p) ///
   clc(black blue green) mc(black blue green) clw(medthick) title("Nondefense Govt K/Private K", size(medsmall)) ///
   legend(off) xtitle("year") ytitle("fraction") name(ndgraph)

  tw scatter educkpriv year , c(l l l) clp(l - _) ms(i i p) ///
   clc(blue green) mc(blue green) clw(medthick) title("Education Govt K/Private K", size(medsmall)) ///
   legend(off) xtitle("year") ytitle("fraction") name(egraph) ylabel(0.03 0.06 0.09 0.12 0.15) 
   
  tw scatter hwykpriv year , c(l l l) clp(l - _) ms(i i p) ///
   clc(green) mc(green) clw(medthick) title("Highway Govt K/Private K", size(medsmall)) ///
   legend(off) xtitle("year") ytitle("fraction") name(hgraph) ylabel(0.03 0.06 0.09 0.12 0.15)
 
  tw scatter xeducxhwykpriv year , c(l l l) clp(l - _) ms(i i p) ///
   clc(red) mc(red) clw(medthick) title("Other Nondefense Govt K/Private K", size(medsmall)) ///
   legend(off) xtitle("year") ytitle("fraction") name(xehgraph) ylabel(0.03 0.06 0.09 0.12 0.15)
   
 graph combine ndgraph xehgraph egraph hgraph, iscale(0.9) ysize(4) xsize(6)
 */
 
 
 /*
 label var educkpriv "education" 
 label var hwykpriv "highway"
 label var xdefgovkpriv "nondefense total"
 label var xeducxhwykpriv "other nondefense"
 tw scatter xdefgovkpriv xeducxhwykpriv hwykpriv educkpriv year, c(l l l l) clp(l l l l) ms(i i i i) ///
   clc(black blue green red) mc(black blue green red) clw(medthick) title("Government K/Private K", size(medsmall)) ///
    xtitle("year") ytitle("fraction") name(graph) ysize(4) xsize(5) scale(1.3)
